-
AI-powered Extensions
-
Data Grid
-
Tree List
-
Chat
-
HTML Editor
-
Form
-
-
Data Grids / Data Management
-
Data Grid
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Grouping
-
Selection
- Focused Row
- Paging
-
Scrolling
-
Columns
- AI Assistant
-
Master-Detail
-
Data Summaries
-
Drag & Drop
-
Export to PDF
-
Export to Excel
- Appearance
-
Customization
- State Persistence
-
Adaptability
-
Keyboard Navigation
- Right-To-Left Support
-
Tree List
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Selection
- Focused Row
- Paging
-
Columns
- Drag & Drop
- State Persistence
- Adaptability
-
Keyboard Navigation
-
Card View
-
Pivot Grid
- Overview
-
Data Binding
-
Field Management
-
Data Summaries
- Drill Down
- Filtering
-
Scrolling
-
Export to Excel
- Chart Integration
- Customization
- State Persistence
-
Filter Builder
-
-
Data Visualization
-
Charts
- Overview
-
Data Binding
-
Common Concepts
-
Axis
-
Aggregation
-
Tooltips
-
Selection
-
Customization
-
Zooming
-
Export
-
-
Area Charts
-
Bar Charts
- Bullet Charts
-
Doughnut Charts
-
Financial Charts
-
Funnel and Pyramid Charts
-
Line Charts
- Pareto Chart
-
Pie Charts
-
Point Charts
-
Polar and Radar Charts
-
Range Charts
- Sankey Chart
-
Sparkline Charts
-
Tree Map
-
Gauges
- Overview
-
Runtime update
-
Bar Gauge
-
Circular Gauge
-
Linear Gauge
-
Diagram
- Overview
-
Data Binding
-
Featured Shapes
-
Custom Shapes
-
Document Capabilities
-
User Interaction
- UI Customization
- Adaptability
-
-
Scheduling / Planning
-
Scheduler
- Overview
-
Data Binding
-
Views
-
Appointments
-
Timetable
- Editing
-
Grouping
- Virtual Scrolling
- Drag & Drop
-
Customization
- Adaptability
-
Gantt
- Overview
- Data Binding
-
Filtering
- Sorting
- Strip Lines
- Export to PDF
- Validation
-
Customization
-
-
Messaging
-
WYSIWYG Editor
-
Forms
-
Data Editors
- Overview
-
Common Concepts
-
Calendar
- Check Box
- Color Box
-
Date Box
-
Date Range Box
-
Number Box
- Radio Group
-
Range Selector
- Range Slider
- Slider
- Switch
- Text Area
- Text Box
-
Drop-Downs
- Autocomplete
-
Drop Down Box
-
Select Box
-
Tag Box
-
Lookup
-
Buttons
-
File Upload / File Management
-
File Manager
- Overview
-
File System Types
-
Customization
-
File Uploader
-
-
Popup and Notifications
-
Navigation
- Overview
- Accordion
-
Action Sheet
-
Context Menu
-
Menu
- Multi View
-
Drawer
-
Tab Panel
-
Tabs
-
Toolbar
-
Stepper
- Pagination
-
List
-
Tree View
- Right-to-Left Support
-
Layout
-
Tile View
- Splitter
-
Gallery
- Scroll View
- Box
- Responsive Box
-
-
Interactive Wrappers
-
Sortable
- Resizable
-
-
Progress Indicators
-
Maps
- Overview
-
Map
-
Vector Map
-
Data Binding
- Multiple Layers
-
Markers
- Legend
-
Zooming and Panning
-
Customization
-
-
Localization
Related Demos:
Your search did not match any results.
Vue Charts - Multiple Panes
Backend API
<template>
<DxChart
id="chart"
:data-source="weatherData"
default-pane="bottomPane"
title="Weather in Glendale, CA"
>
<DxCommonSeriesSettings argument-field="month"/>
<DxSeries
pane="topPane"
color="#b0daff"
type="rangearea"
range-value1-field="minT"
range-value2-field="maxT"
name="Monthly Temperature Ranges, °C"
/>
<DxSeries
pane="topPane"
value-field="avgT"
name="Average Temperature, °C"
>
<DxLabel
:visible="true"
:customize-text="temperatureCustomizeText"
/>
</DxSeries>
<DxSeries
type="bar"
value-field="prec"
name="prec, mm"
>
<DxLabel
:visible="true"
:customize-text="precipitationCustomizeText"
/>
</DxSeries>
<DxPane name="topPane"/>
<DxPane name="bottomPane"/>
<DxValueAxis pane="bottomPane">
<DxGrid :visible="true"/>
<DxTitle text="Precipitation, mm"/>
</DxValueAxis>
<DxValueAxis pane="topPane">
<DxGrid :visible="true"/>
<DxTitle text="Temperature, °C"/>
</DxValueAxis>
<DxLegend
vertical-alignment="bottom"
horizontal-alignment="center"
/>
<DxExport :enabled="true"/>
</DxChart>
</template>
<script setup lang="ts">
import DxChart, {
DxCommonSeriesSettings,
DxSeries,
DxPane,
DxValueAxis,
DxExport,
DxLegend,
DxLabel,
DxTitle,
DxGrid,
} from 'devextreme-vue/chart';
import { weatherData } from './data.ts';
const temperatureCustomizeText = ({ valueText }: { valueText: string }) => `${valueText} °C`;
const precipitationCustomizeText = ({ valueText }: { valueText: string }) => `${valueText} mm`;
</script>
<style>
#chart {
height: 440px;
}
</style>
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'typescript': {
'exports': 'ts',
},
'vue': {
format: 'global',
exports: 'Vue',
esModule: true,
},
'vuex': {
format: 'global',
exports: 'Vuex',
esModule: true,
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'vue': 'npm:vue@3.5.40/dist/vue.global.js',
'@vue/shared': 'npm:@vue/shared@3.4.26/dist/shared.cjs.prod.js',
'dx-systemjs-vue-browser': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'vue-loader': 'loaders:demo-vue-loader.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs',
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.4/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
}
};
export const weatherData = [{
month: 'January',
avgT: 9.8,
minT: 4.1,
maxT: 15.5,
prec: 109,
}, {
month: 'February',
avgT: 11.8,
minT: 5.8,
maxT: 17.8,
prec: 104,
}, {
month: 'March',
avgT: 13.4,
minT: 7.2,
maxT: 19.6,
prec: 92,
}, {
month: 'April',
avgT: 15.4,
minT: 8.1,
maxT: 22.8,
prec: 30,
}, {
month: 'May',
avgT: 18,
minT: 10.3,
maxT: 25.7,
prec: 10,
}, {
month: 'June',
avgT: 20.6,
minT: 12.2,
maxT: 29,
prec: 2,
}, {
month: 'July',
avgT: 22.2,
minT: 13.2,
maxT: 31.3,
prec: 2,
}, {
month: 'August',
avgT: 22.2,
minT: 13.2,
maxT: 31.1,
prec: 1,
}, {
month: 'September',
avgT: 21.2,
minT: 12.4,
maxT: 29.9,
prec: 8,
}, {
month: 'October',
avgT: 17.9,
minT: 9.7,
maxT: 26.1,
prec: 24,
}, {
month: 'November',
avgT: 12.9,
minT: 6.2,
maxT: 19.6,
prec: 64,
}, {
month: 'December',
avgT: 9.6,
minT: 3.4,
maxT: 15.7,
prec: 76,
}];
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" />
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
The Chart renders multiple value axes and a shared argument axis. To create multiple value axes, add a valueAxis[] object for each value axis. To assign a value axis to a pane, pass the pane name to the valueAxis.pane property.
DevExtreme Chart can display multiple series within a single pane. Specify the series.pane property to display a series in a specific pane.

Backend API
import React from 'react';
import Chart, {
CommonSeriesSettings,
Series,
Pane,
ValueAxis,
Export,
Legend,
Label,
Title,
Grid,
} from 'devextreme-react/chart';
import { weatherData } from './data.ts';
function temperatureCustomizeText({ valueText }: { valueText: string }): string {
return `${valueText} °C`;
}
function precipitationCustomizeText({ valueText }: { valueText: string }): string {
return `${valueText} mm`;
}
function App() {
return (
<Chart
id="chart"
dataSource={weatherData}
defaultPane="bottomPane"
title="Weather in Glendale, CA"
>
<CommonSeriesSettings argumentField="month" />
<Series
pane="topPane"
color="#b0daff"
type="rangearea"
rangeValue1Field="minT"
rangeValue2Field="maxT"
name="Monthly Temperature Ranges, °C"
/>
<Series
pane="topPane"
valueField="avgT"
name="Average Temperature, °C"
>
<Label
visible={true}
customizeText={temperatureCustomizeText}
/>
</Series>
<Series
type="bar"
valueField="prec"
name="prec, mm"
>
<Label
visible={true}
customizeText={precipitationCustomizeText}
/>
</Series>
<Pane name="topPane" />
<Pane name="bottomPane" />
<ValueAxis pane="bottomPane">
<Grid visible={true} />
<Title text="Precipitation, mm" />
</ValueAxis>
<ValueAxis pane="topPane">
<Grid visible={true} />
<Title text="Temperature, °C" />
</ValueAxis>
<Legend
verticalAlignment="bottom"
horizontalAlignment="center"
/>
<Export enabled={true} />
</Chart>
);
}
export default App;
import React from 'react';
import Chart, {
CommonSeriesSettings,
Series,
Pane,
ValueAxis,
Export,
Legend,
Label,
Title,
Grid,
} from 'devextreme-react/chart';
import { weatherData } from './data.js';
function temperatureCustomizeText({ valueText }) {
return `${valueText} °C`;
}
function precipitationCustomizeText({ valueText }) {
return `${valueText} mm`;
}
function App() {
return (
<Chart
id="chart"
dataSource={weatherData}
defaultPane="bottomPane"
title="Weather in Glendale, CA"
>
<CommonSeriesSettings argumentField="month" />
<Series
pane="topPane"
color="#b0daff"
type="rangearea"
rangeValue1Field="minT"
rangeValue2Field="maxT"
name="Monthly Temperature Ranges, °C"
/>
<Series
pane="topPane"
valueField="avgT"
name="Average Temperature, °C"
>
<Label
visible={true}
customizeText={temperatureCustomizeText}
/>
</Series>
<Series
type="bar"
valueField="prec"
name="prec, mm"
>
<Label
visible={true}
customizeText={precipitationCustomizeText}
/>
</Series>
<Pane name="topPane" />
<Pane name="bottomPane" />
<ValueAxis pane="bottomPane">
<Grid visible={true} />
<Title text="Precipitation, mm" />
</ValueAxis>
<ValueAxis pane="topPane">
<Grid visible={true} />
<Title text="Temperature, °C" />
</ValueAxis>
<Legend
verticalAlignment="bottom"
horizontalAlignment="center"
/>
<Export enabled={true} />
</Chart>
);
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.tsx';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
export const weatherData = [{
month: 'January',
avgT: 9.8,
minT: 4.1,
maxT: 15.5,
prec: 109,
}, {
month: 'February',
avgT: 11.8,
minT: 5.8,
maxT: 17.8,
prec: 104,
}, {
month: 'March',
avgT: 13.4,
minT: 7.2,
maxT: 19.6,
prec: 92,
}, {
month: 'April',
avgT: 15.4,
minT: 8.1,
maxT: 22.8,
prec: 30,
}, {
month: 'May',
avgT: 18,
minT: 10.3,
maxT: 25.7,
prec: 10,
}, {
month: 'June',
avgT: 20.6,
minT: 12.2,
maxT: 29,
prec: 2,
}, {
month: 'July',
avgT: 22.2,
minT: 13.2,
maxT: 31.3,
prec: 2,
}, {
month: 'August',
avgT: 22.2,
minT: 13.2,
maxT: 31.1,
prec: 1,
}, {
month: 'September',
avgT: 21.2,
minT: 12.4,
maxT: 29.9,
prec: 8,
}, {
month: 'October',
avgT: 17.9,
minT: 9.7,
maxT: 26.1,
prec: 24,
}, {
month: 'November',
avgT: 12.9,
minT: 6.2,
maxT: 19.6,
prec: 64,
}, {
month: 'December',
avgT: 9.6,
minT: 3.4,
maxT: 15.7,
prec: 76,
}];
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
jsx: 'react',
},
meta: {
'react': {
'esModule': true,
},
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
defaultExtension: 'js',
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-react': 'npm:devextreme-react@link:../../packages/devextreme-react/npm/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.9/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme-react/common': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(<App />, document.getElementById('app'));
export const weatherData = [
{
month: 'January',
avgT: 9.8,
minT: 4.1,
maxT: 15.5,
prec: 109,
},
{
month: 'February',
avgT: 11.8,
minT: 5.8,
maxT: 17.8,
prec: 104,
},
{
month: 'March',
avgT: 13.4,
minT: 7.2,
maxT: 19.6,
prec: 92,
},
{
month: 'April',
avgT: 15.4,
minT: 8.1,
maxT: 22.8,
prec: 30,
},
{
month: 'May',
avgT: 18,
minT: 10.3,
maxT: 25.7,
prec: 10,
},
{
month: 'June',
avgT: 20.6,
minT: 12.2,
maxT: 29,
prec: 2,
},
{
month: 'July',
avgT: 22.2,
minT: 13.2,
maxT: 31.3,
prec: 2,
},
{
month: 'August',
avgT: 22.2,
minT: 13.2,
maxT: 31.1,
prec: 1,
},
{
month: 'September',
avgT: 21.2,
minT: 12.4,
maxT: 29.9,
prec: 8,
},
{
month: 'October',
avgT: 17.9,
minT: 9.7,
maxT: 26.1,
prec: 24,
},
{
month: 'November',
avgT: 12.9,
minT: 6.2,
maxT: 19.6,
prec: 64,
},
{
month: 'December',
avgT: 9.6,
minT: 3.4,
maxT: 15.7,
prec: 76,
},
];
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.2.8/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.tsx");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#chart {
height: 440px;
}
The Chart renders multiple value axes and a shared argument axis. To create multiple value axes, add a valueAxis[] object for each value axis. To assign a value axis to a pane, pass the pane name to the valueAxis.pane property.
DevExtreme Chart can display multiple series within a single pane. Specify the series.pane property to display a series in a specific pane.

Backend API
<dx-chart
id="chart"
[dataSource]="weatherData"
defaultPane="bottomPane"
title="Weather in Glendale, CA"
>
<dxi-chart-series
pane="topPane"
color="#b0daff"
type="rangeArea"
rangeValue1Field="minT"
rangeValue2Field="maxT"
name="Monthly Temperature Ranges, °C"
>
</dxi-chart-series>
<dxi-chart-series
pane="topPane"
valueField="avgT"
name="Average Temperature, °C"
>
<dxo-chart-label
[visible]="true"
[customizeText]="temperatureCustomizeText"
>
</dxo-chart-label>
</dxi-chart-series>
<dxi-chart-series type="bar" valueField="prec" name="prec, mm">
<dxo-chart-label
[visible]="true"
[customizeText]="precipitationCustomizeText"
>
</dxo-chart-label>
</dxi-chart-series>
<dxo-chart-common-series-settings
argumentField="month"
></dxo-chart-common-series-settings>
<dxi-chart-pane name="topPane"></dxi-chart-pane>
<dxi-chart-pane name="bottomPane"></dxi-chart-pane>
<dxi-chart-value-axis pane="bottomPane">
<dxo-chart-grid [visible]="true"></dxo-chart-grid>
<dxo-chart-title text="Precipitation, mm"></dxo-chart-title>
</dxi-chart-value-axis>
<dxi-chart-value-axis pane="topPane">
<dxo-chart-grid [visible]="true"></dxo-chart-grid>
<dxo-chart-title text="Temperature, °C"></dxo-chart-title>
</dxi-chart-value-axis>
<dxo-chart-legend verticalAlignment="bottom" horizontalAlignment="center">
</dxo-chart-legend>
<dxo-chart-export [enabled]="true"></dxo-chart-export>
</dx-chart>
import { bootstrapApplication } from '@angular/platform-browser';
import { Component, enableProdMode, provideZoneChangeDetection } from '@angular/core';
import { DxChartModule } from 'devextreme-angular';
import { Service, Weather } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'demo-app',
providers: [Service],
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
imports: [
DxChartModule,
],
})
export class AppComponent {
weatherData: Weather[];
valueText: string;
constructor(service: Service) {
this.weatherData = service.getWeatherData();
}
temperatureCustomizeText() {
return `${this.valueText} °C`;
}
precipitationCustomizeText() {
return `${this.valueText} mm`;
}
}
bootstrapApplication(AppComponent, {
providers: [
provideZoneChangeDetection({ eventCoalescing: true, runCoalescing: true }),
],
});
::ng-deep #chart {
height: 440px;
}
import { Injectable } from '@angular/core';
export class Weather {
month: string;
avgT: number;
minT: number;
maxT: number;
prec: number;
}
const weatherData: Weather[] = [{
month: 'January',
avgT: 9.8,
minT: 4.1,
maxT: 15.5,
prec: 109,
}, {
month: 'February',
avgT: 11.8,
minT: 5.8,
maxT: 17.8,
prec: 104,
}, {
month: 'March',
avgT: 13.4,
minT: 7.2,
maxT: 19.6,
prec: 92,
}, {
month: 'April',
avgT: 15.4,
minT: 8.1,
maxT: 22.8,
prec: 30,
}, {
month: 'May',
avgT: 18,
minT: 10.3,
maxT: 25.7,
prec: 10,
}, {
month: 'June',
avgT: 20.6,
minT: 12.2,
maxT: 29,
prec: 2,
}, {
month: 'July',
avgT: 22.2,
minT: 13.2,
maxT: 31.3,
prec: 2,
}, {
month: 'August',
avgT: 22.2,
minT: 13.2,
maxT: 31.1,
prec: 1,
}, {
month: 'September',
avgT: 21.2,
minT: 12.4,
maxT: 29.9,
prec: 8,
}, {
month: 'October',
avgT: 17.9,
minT: 9.7,
maxT: 26.1,
prec: 24,
}, {
month: 'November',
avgT: 12.9,
minT: 6.2,
maxT: 19.6,
prec: 64,
}, {
month: 'December',
avgT: 9.6,
minT: 3.4,
maxT: 15.7,
prec: 76,
}];
@Injectable()
export class Service {
getWeatherData(): Weather[] {
return weatherData;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'card-view',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speech-to-text',
'speed-dial-action',
'splitter',
'stepper',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.ts': {
loader: 'demo-ts-loader',
},
'typescript': {
'exports': 'ts',
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/core/primitives/di': 'bundles:@angular/core.primitives.di.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js',
'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js',
'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js',
'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js',
'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js',
'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js',
'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js',
'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js',
'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js',
'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js',
'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js',
'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js',
'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
'devextreme-angular/core/tokens': 'bundles:devextreme-angular/devextreme-angular-core-tokens.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.4/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
'zone.js': 'npm:zone.js@0.16.2/bundles/zone.umd.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.29/package.json',
'npm:devexpress-gantt@4.1.69/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line no-console
// System.import('@angular/compiler').catch(console.error.bind(console));
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
},
"@angular/core": {
"version": "22.1.0"
},
"core-js": {
"version": "2.6.12"
},
"typescript": {
"version": "6.0.3"
},
"zone.js": {
"version": "0.16.2"
}
};
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.16.2/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>
The Chart renders multiple value axes and a shared argument axis. To create multiple value axes, add a valueAxis[] object for each value axis. To assign a value axis to a pane, pass the pane name to the valueAxis.pane property.
DevExtreme Chart can display multiple series within a single pane. Specify the series.pane property to display a series in a specific pane.